<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="it">
<head>
<!-- Generated by javadoc (1.8.0_181) on Sat Nov 10 15:43:02 CET 2018 -->
<title>All Classes</title>
<meta name="date" content="2018-11-10">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<h1 class="bar">All&nbsp;Classes</h1>
<div class="indexContainer">
<ul>
<li><a href="deserialization/AggregationDeserializer.html" title="class in deserialization">AggregationDeserializer</a></li>
<li><a href="aggregations/AggregationException.html" title="class in aggregations">AggregationException</a></li>
<li><a href="aggregations/metricsaggs/AggregationFactory.html" title="class in aggregations.metricsaggs">AggregationFactory</a></li>
<li><a href="aggregations/AggregationType.html" title="class in aggregations">AggregationType</a></li>
<li><a href="aggregations/bucketaggs/AggsBucketOrder.html" title="class in aggregations.bucketaggs">AggsBucketOrder</a></li>
<li><a href="queries/boolquery/Bool.html" title="class in queries.boolquery">Bool</a></li>
<li><a href="elasticclient/ClientRequest.html" title="class in elasticclient">ClientRequest</a></li>
<li><a href="templates/Count_template.html" title="class in templates">Count_template</a></li>
<li><a href="deserialization/CustomParserException.html" title="class in deserialization">CustomParserException</a></li>
<li><a href="aggregations/bucketaggs/DateRange.html" title="class in aggregations.bucketaggs">DateRange</a></li>
<li><a href="docrequests/DocCreateRequest.html" title="class in docrequests">DocCreateRequest</a></li>
<li><a href="docrequests/DocDeleteRequest.html" title="class in docrequests">DocDeleteRequest</a></li>
<li><a href="docrequests/DocRequestException.html" title="class in docrequests">DocRequestException</a></li>
<li><a href="docrequests/DocUpdateRequest.html" title="class in docrequests">DocUpdateRequest</a></li>
<li><a href="elasticclient/ElasticClient.html" title="class in elasticclient">ElasticClient</a></li>
<li><a href="elasticclient/ElasticClientException.html" title="class in elasticclient">ElasticClientException</a></li>
<li><a href="elasticclient/ElasticClientResponse.html" title="class in elasticclient">ElasticClientResponse</a></li>
<li><a href="tests/ElasticClientTest.html" title="class in tests">ElasticClientTest</a></li>
<li><a href="examples/newquery/ExistsQuery.html" title="class in examples.newquery">ExistsQuery</a></li>
<li><a href="aggregations/bucketaggs/IpRangeAggregation.html" title="class in aggregations.bucketaggs">IpRangeAggregation</a></li>
<li><a href="templates/ITemplate.html" title="interface in templates"><span class="interfaceName">ITemplate</span></a></li>
<li><a href="tests/assertions/Main.html" title="class in tests.assertions">Main</a></li>
<li><a href="queries/fulltext/Match.html" title="class in queries.fulltext">Match</a></li>
<li><a href="queries/fulltext/MatchPhrase.html" title="class in queries.fulltext">MatchPhrase</a></li>
<li><a href="queries/fulltext/MatchPhrasePrefix.html" title="class in queries.fulltext">MatchPhrasePrefix</a></li>
<li><a href="aggregations/metricsaggs/MetricsAggregation.html" title="class in aggregations.metricsaggs">MetricsAggregation</a></li>
<li><a href="examples/newaggregation/NewAggregationMain.html" title="class in examples.newaggregation">NewAggregationMain</a></li>
<li><a href="examples/newaggregation/NewFilterAggregation.html" title="class in examples.newaggregation">NewFilterAggregation</a></li>
<li><a href="examples/newquery/NewQueryMain.html" title="class in examples.newquery">NewQueryMain</a></li>
<li><a href="examples/newtemplate/NewTemplateMain.html" title="class in examples.newtemplate">NewTemplateMain</a></li>
<li><a href="queries/QueryMalformedException.html" title="class in queries">QueryMalformedException</a></li>
<li><a href="queries/fulltext/QueryString.html" title="class in queries.fulltext">QueryString</a></li>
<li><a href="queries/QueryType.html" title="interface in queries"><span class="interfaceName">QueryType</span></a></li>
<li><a href="deserialization/QueryTypeDeserializer.html" title="class in deserialization">QueryTypeDeserializer</a></li>
<li><a href="queries/Range.html" title="class in queries">Range</a></li>
<li><a href="aggregations/bucketaggs/RangeAggregation.html" title="class in aggregations.bucketaggs">RangeAggregation</a></li>
<li><a href="aggregations/bucketaggs/RangeElement.html" title="class in aggregations.bucketaggs">RangeElement</a></li>
<li><a href="docrequests/Request.html" title="interface in docrequests"><span class="interfaceName">Request</span></a></li>
<li><a href="deserialization/RequestDeserializer.html" title="class in deserialization">RequestDeserializer</a></li>
<li><a href="queries/Search.html" title="class in queries">Search</a></li>
<li><a href="queries/SearchException.html" title="class in queries">SearchException</a></li>
<li><a href="queries/Sort.html" title="class in queries">Sort</a></li>
<li><a href="queries/Source.html" title="class in queries">Source</a></li>
<li><a href="templates/Template1.html" title="class in templates">Template1</a></li>
<li><a href="deserialization/TemplateDeserializer.html" title="class in deserialization">TemplateDeserializer</a></li>
<li><a href="queries/Term.html" title="class in queries">Term</a></li>
<li><a href="aggregations/bucketaggs/TermsAggregation.html" title="class in aggregations.bucketaggs">TermsAggregation</a></li>
<li><a href="tests/testquery/TestQueryMain.html" title="class in tests.testquery">TestQueryMain</a></li>
<li><a href="examples/newtemplate/TestTemplate.html" title="class in examples.newtemplate">TestTemplate</a></li>
</ul>
</div>
</body>
</html>
